aboutsummaryrefslogtreecommitdiffstats
path: root/main/eglibc/nscd.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-05 04:18:02 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-05 04:18:02 +0100
commit87f4b9efaf9b766fce6099fc9fcdb61da6dc1b00 (patch)
treee8c547c5c1963105085b349c23db9212453e2244 /main/eglibc/nscd.initd
parent9afae337de265bf9f206e2c3711954e49a282cd8 (diff)
downloadaports-87f4b9efaf9b766fce6099fc9fcdb61da6dc1b00.tar.gz
aports-87f4b9efaf9b766fce6099fc9fcdb61da6dc1b00.tar.bz2
aports-87f4b9efaf9b766fce6099fc9fcdb61da6dc1b00.tar.xz
main/eglibc: new aport
Diffstat (limited to 'main/eglibc/nscd.initd')
-rw-r--r--main/eglibc/nscd.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/main/eglibc/nscd.initd b/main/eglibc/nscd.initd
new file mode 100644
index 0000000000..7087dcf4c3
--- /dev/null
+++ b/main/eglibc/nscd.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+
+DAEMON=/usr/sbin/nscd
+
+start() {
+ ebegin "Starting nscd"
+ # remove stale files
+ rm -f /var/db/nscd/* /var/run/nscd/* 2>/dev/null
+ start-stop-daemon --start --exec $DAEMON
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping nscd"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/run/nscd/nscd.pid
+ eend $?
+}
+